## GimpHintBox

GimpHintBox — Displays a wilber icon and a text.

## Functions

GtkWidget * | gimp_hint_box_new ()

## Properties

char * | hint | Read / Write / Construct Only
char * | icon-name | Read / Write / Construct Only
char * | stock-id | Read / Write / Construct Only

## Types and Values

| GimpHintBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpHintBox

## Implemented Interfaces

GimpHintBox implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

Displays a wilber icon and a text.

## Functions

### gimp_hint_box_new ()

    GtkWidget *
    gimp_hint_box_new (const gchar *hint);

Creates a new widget that shows a text label showing `hint` , decorated with a GIMP_ICON_DIALOG_INFORMATION wilber icon.

#### Parameters

hint | text to display as a user hint |

#### Returns

a new widget

Since GIMP 2.4

## Types and Values

### GimpHintBox

    typedef struct _GimpHintBox GimpHintBox;

## Property Details

### The `“hint”` property

      “hint”                     char *

The hint to display.

Owner: GimpHintBox

Flags: Read / Write / Construct Only

Default value: NULL

### The `“icon-name”` property

      “icon-name”                char *

The icon to show next to the hint.

Owner: GimpHintBox

Flags: Read / Write / Construct Only

Default value: "gimp-info"

### The `“stock-id”` property

      “stock-id”                 char *

Deprecated: use icon-name instead.

Owner: GimpHintBox

Flags: Read / Write / Construct Only

Default value: "gimp-info"